function [b] = cut_out(pos_vec,state_vec,center_agent,r);  


midpos  = pos_vec(center_agent); % this computes the position of agent "agent_number"
b = zeros(1,2*r+1);

for i = 1:(2*r+1) %2r+1 is the size of the window of perception r steps to the left and right of the middle position
    
    [inval,agent_number] = ismember(midpos-(r+1)+i,pos_vec);
    
    if (inval)
        b(i) = state_vec(agent_number);  
    end
    
end
