function [itisin,expected_val,count] = isin(vector,value);  %this function determines whether the value "value" is an element of the vector "vector"


V = (vector == value*ones(1,length(vector)));  %produces a vector with 1 when value at the position is 'value' and zeros where the value is not equal to 'value'

count = sum(V);  %this computes the number of times "value" appears in "vector"

itisin = (count > 0);  %this asks whether the number of times it appears is non-zero


if (itisin)
expected_val = (1:length(V)) * transpose(V) / count;  %
else
    expected_val = 0;

end